Last Comment Bug 737972 - Fastest Search leaves Zombie Compartments
: Fastest Search leaves Zombie Compartments
Status: RESOLVED FIXED
[MemShrink:P3]
:
Product: Tech Evangelism
Classification: Other
Component: Add-ons (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
https://addons.mozilla.org/en-US/fire...
Depends on:
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-03-21 11:47 PDT by Andrew Williamson [:eviljeff]
Modified: 2012-04-10 09:49 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Andrew Williamson [:eviljeff] 2012-03-21 11:47:32 PDT
Fastest Search addon leaves Zombie Compartments during use.

Steps to Reproduce:
1) install addon and load a page into a tab (e.g. http://www.mozilla.org/en-US/about/partnerships.html)
2) Press Ctrl+Shift+F to activate addon.  
3) search for something (e.g. Firefox)
4) close tab
5) open about:memory?verbose
6) hit 'minimise memory usage' button a few times
7) see reference to closed tab still

The add-on also remains in memory on disable though that will probably be fixed by using an up-to-date SDK version (1.5)

Developer cc'd and notified via review.
Comment 1 Mingyi Liu 2012-03-24 16:04:17 PDT
I just fixed the issue and tested in FF13.0a2 through both about:compartments?verbose and about:memory?verbose. It was a simple case of reference to the currently searched page not removed after text search is done. I'll soon repack and submit the newer version. Thanks for finding my oversight!
Comment 2 Jorge Villalobos [:jorgev] 2012-04-04 15:51:53 PDT
Version 1.6 of the SDK is now available. This version should address the pending memory leaks in your add-on. Please upgrade your add-on to use SDK 1.6 and submit a new version as soon as possible.
Comment 3 Mingyi Liu 2012-04-04 19:39:46 PDT
I'm aware of that and in fact already have a SDK1.6-packed version yesterday that's free of memory leaks, but I'm also trying to put in a few small new features and squash some old bugs. I'm very eager to get this new version out too & I expect to release it some time this weekend, after more testing and potential fixing.
Comment 4 Mingyi Liu 2012-04-05 21:35:31 PDT
As promised, FS v2.10 was just released at https://addons.mozilla.org/en-US/firefox/addon/fastest-search/versions/2.10
Comment 5 Andrew Williamson [:eviljeff] 2012-04-10 09:49:51 PDT
2.10 fixes both the zombie compartments on use and references remaining on disable/uninstall issues so marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.